diff --git a/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java
index 77a1984..368b0af 100644
--- a/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/NavigableMapTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.Helpers.castOrCopyToList;
 import static java.util.Collections.reverse;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.Bound;
 import com.google.common.collect.testing.DerivedCollectionGenerators.ForwardingTestMapGenerator;
 import com.google.common.collect.testing.DerivedCollectionGenerators.SortedMapSubmapTestMapGenerator;
@@ -37,7 +36,6 @@ import junit.framework.TestSuite;
  * Creates, based on your criteria, a JUnit test suite that exhaustively tests a NavigableMap
  * implementation.
  */
-@GwtIncompatible
 public class NavigableMapTestSuiteBuilder<K, V> extends SortedMapTestSuiteBuilder<K, V> {
   public static <K, V> NavigableMapTestSuiteBuilder<K, V> using(
       TestSortedMapGenerator<K, V> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java
index 38eb56e..962ceae 100644
--- a/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/NavigableSetTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.features.CollectionFeature.DESCENDING_VIEW;
 import static com.google.common.collect.testing.features.CollectionFeature.SUBSET_VIEW;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.Bound;
 import com.google.common.collect.testing.DerivedCollectionGenerators.SortedSetSubsetTestSetGenerator;
 import com.google.common.collect.testing.features.Feature;
@@ -37,7 +36,6 @@ import junit.framework.TestSuite;
  * Creates, based on your criteria, a JUnit test suite that exhaustively tests a NavigableSet
  * implementation.
  */
-@GwtIncompatible
 public final class NavigableSetTestSuiteBuilder<E> extends SortedSetTestSuiteBuilder<E> {
   public static <E> NavigableSetTestSuiteBuilder<E> using(TestSortedSetGenerator<E> generator) {
     NavigableSetTestSuiteBuilder<E> builder = new NavigableSetTestSuiteBuilder<E>();
diff --git a/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java b/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java
index 1b8924c..62b2af8 100644
--- a/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/OneSizeGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -28,7 +27,6 @@ import java.util.List;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class OneSizeGenerator<T, E> implements OneSizeTestContainerGenerator<T, E> {
   private final TestContainerGenerator<T, E> generator;
   private final CollectionSize collectionSize;
diff --git a/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java b/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java
index 7e727cd..a74e040 100644
--- a/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/OneSizeTestContainerGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.util.Collection;
 
@@ -30,7 +29,6 @@ import java.util.Collection;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface OneSizeTestContainerGenerator<T, E>
     extends TestSubjectGenerator<T>, TestContainerGenerator<T, E> {
   TestContainerGenerator<T, E> getInnerGenerator();
diff --git a/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java
index c0068b4..2aa0a08 100644
--- a/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/PerCollectionSizeTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.features.FeatureUtil;
@@ -41,7 +40,6 @@ import junit.framework.TestSuite;
  * @see FeatureSpecificTestSuiteBuilder
  * @author George van den Driessche
  */
-@GwtIncompatible
 public abstract class PerCollectionSizeTestSuiteBuilder<
         B extends PerCollectionSizeTestSuiteBuilder<B, G, T, E>,
         G extends TestContainerGenerator<T, E>,
diff --git a/guava-testlib/src/com/google/common/collect/testing/Platform.java b/guava-testlib/src/com/google/common/collect/testing/Platform.java
index a2c020c..614562a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/Platform.java
+++ b/guava-testlib/src/com/google/common/collect/testing/Platform.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Locale;
 
 /**
@@ -26,7 +25,6 @@ import java.util.Locale;
  *
  * @author Hayward Chan
  */
-@GwtCompatible
 final class Platform {
   static <T> T[] clone(T[] array) {
     return array.clone();
diff --git a/guava-testlib/src/com/google/common/collect/testing/QueueTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/QueueTestSuiteBuilder.java
index ac62d44..147376c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/QueueTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/QueueTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.testers.QueueElementTester;
 import com.google.common.collect.testing.testers.QueueOfferTester;
 import com.google.common.collect.testing.testers.QueuePeekTester;
@@ -31,7 +30,6 @@ import java.util.List;
  *
  * @author Jared Levy
  */
-@GwtIncompatible
 public final class QueueTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<QueueTestSuiteBuilder<E>, E> {
   public static <E> QueueTestSuiteBuilder<E> using(TestQueueGenerator<E> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/ReserializingTestCollectionGenerator.java b/guava-testlib/src/com/google/common/collect/testing/ReserializingTestCollectionGenerator.java
index 28d6f79..4e72af0 100644
--- a/guava-testlib/src/com/google/common/collect/testing/ReserializingTestCollectionGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/ReserializingTestCollectionGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
 import java.io.IOException;
@@ -32,7 +31,6 @@ import java.util.List;
  *
  * @author Jesse Wilson
  */
-@GwtIncompatible
 public class ReserializingTestCollectionGenerator<E> implements TestCollectionGenerator<E> {
   private final TestCollectionGenerator<E> delegate;
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/ReserializingTestSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/ReserializingTestSetGenerator.java
index c92a3ff..38c10f2 100644
--- a/guava-testlib/src/com/google/common/collect/testing/ReserializingTestSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/ReserializingTestSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.Set;
 
 /**
@@ -26,7 +25,6 @@ import java.util.Set;
  *
  * @author Jesse Wilson
  */
-@GwtIncompatible
 public class ReserializingTestSetGenerator<E> extends ReserializingTestCollectionGenerator<E>
     implements TestSetGenerator<E> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/SafeTreeMap.java b/guava-testlib/src/com/google/common/collect/testing/SafeTreeMap.java
index 5856e3b..17da137 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SafeTreeMap.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SafeTreeMap.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
 import java.util.AbstractSet;
 import java.util.Collection;
@@ -35,7 +34,6 @@ import java.util.TreeMap;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public final class SafeTreeMap<K, V> implements Serializable, NavigableMap<K, V> {
   @SuppressWarnings("unchecked")
   private static final Comparator<Object> NATURAL_ORDER =
diff --git a/guava-testlib/src/com/google/common/collect/testing/SafeTreeSet.java b/guava-testlib/src/com/google/common/collect/testing/SafeTreeSet.java
index 8ed4810..715d9af 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SafeTreeSet.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SafeTreeSet.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
 import java.util.Collection;
 import java.util.Comparator;
@@ -31,7 +30,6 @@ import java.util.TreeSet;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public final class SafeTreeSet<E> implements Serializable, NavigableSet<E> {
   @SuppressWarnings("unchecked")
   private static final Comparator<Object> NATURAL_ORDER =
diff --git a/guava-testlib/src/com/google/common/collect/testing/SampleElements.java b/guava-testlib/src/com/google/common/collect/testing/SampleElements.java
index 400107d..73a6003 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SampleElements.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SampleElements.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Arrays;
 import java.util.Iterator;
 import java.util.List;
@@ -27,7 +26,6 @@ import java.util.Map.Entry;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class SampleElements<E> implements Iterable<E> {
   // TODO: rename e3, e4 => missing1, missing2
   private final E e0;
diff --git a/guava-testlib/src/com/google/common/collect/testing/SetTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/SetTestSuiteBuilder.java
index 4ac51a4..9979cff 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SetTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SetTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE_INCLUDING_VIEWS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.testers.CollectionSerializationEqualTester;
 import com.google.common.collect.testing.testers.SetAddAllTester;
@@ -41,7 +40,6 @@ import junit.framework.TestSuite;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public class SetTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<SetTestSuiteBuilder<E>, E> {
   public static <E> SetTestSuiteBuilder<E> using(TestSetGenerator<E> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/SortedMapInterfaceTest.java b/guava-testlib/src/com/google/common/collect/testing/SortedMapInterfaceTest.java
index 829c4cc..cec44bf 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SortedMapInterfaceTest.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SortedMapInterfaceTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Iterator;
 import java.util.Map.Entry;
 import java.util.SortedMap;
@@ -28,7 +27,6 @@ import java.util.SortedMap;
  * @author Jared Levy
  */
 // TODO: Use this class to test classes besides ImmutableSortedMap.
-@GwtCompatible
 public abstract class SortedMapInterfaceTest<K, V> extends MapInterfaceTest<K, V> {
 
   protected SortedMapInterfaceTest(
diff --git a/guava-testlib/src/com/google/common/collect/testing/SortedMapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/SortedMapTestSuiteBuilder.java
index aa1d6d5..6d564d6 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SortedMapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SortedMapTestSuiteBuilder.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static com.google.common.collect.testing.features.CollectionFeature.KNOWN_ORDER;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.Bound;
 import com.google.common.collect.testing.DerivedCollectionGenerators.SortedMapSubmapTestMapGenerator;
 import com.google.common.collect.testing.features.Feature;
@@ -35,7 +34,6 @@ import junit.framework.TestSuite;
  * Creates, based on your criteria, a JUnit test suite that exhaustively tests a SortedMap
  * implementation.
  */
-@GwtIncompatible
 public class SortedMapTestSuiteBuilder<K, V> extends MapTestSuiteBuilder<K, V> {
   public static <K, V> SortedMapTestSuiteBuilder<K, V> using(
       TestSortedMapGenerator<K, V> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/SortedSetTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/SortedSetTestSuiteBuilder.java
index 5092661..d8efa1c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SortedSetTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SortedSetTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.Bound;
 import com.google.common.collect.testing.DerivedCollectionGenerators.SortedSetSubsetTestSetGenerator;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -31,7 +30,6 @@ import junit.framework.TestSuite;
  * Creates, based on your criteria, a JUnit test suite that exhaustively tests a SortedSet
  * implementation.
  */
-@GwtIncompatible
 public class SortedSetTestSuiteBuilder<E> extends SetTestSuiteBuilder<E> {
   public static <E> SortedSetTestSuiteBuilder<E> using(TestSortedSetGenerator<E> generator) {
     SortedSetTestSuiteBuilder<E> builder = new SortedSetTestSuiteBuilder<E>();
diff --git a/guava-testlib/src/com/google/common/collect/testing/SpliteratorTester.java b/guava-testlib/src/com/google/common/collect/testing/SpliteratorTester.java
index 08c771e..a2c5a8c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/SpliteratorTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/SpliteratorTester.java
@@ -25,8 +25,6 @@ import static junit.framework.Assert.assertFalse;
 import static junit.framework.Assert.assertTrue;
 import static junit.framework.Assert.fail;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Ordering;
 import com.google.common.primitives.Ints;
 import java.util.ArrayList;
@@ -38,10 +36,8 @@ import java.util.Spliterator;
 import java.util.function.Consumer;
 import java.util.function.Function;
 import java.util.function.Supplier;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** Tester for {@code Spliterator} implementations. */
-@GwtCompatible
 public final class SpliteratorTester<E> {
   /** Return type from "contains the following elements" assertions. */
   public interface Ordered {
@@ -199,7 +195,7 @@ public final class SpliteratorTester<E> {
     abstract <E> void forEach(GeneralSpliterator<E> spliterator, Consumer<? super E> consumer);
   }
 
-  private static <E> @Nullable GeneralSpliterator<E> trySplitTestingSize(
+  private static <E> GeneralSpliterator<E> trySplitTestingSize(
       GeneralSpliterator<E> spliterator) {
     boolean subsized = spliterator.hasCharacteristics(Spliterator.SUBSIZED);
     long originalSize = spliterator.estimateSize();
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestCharacterListGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestCharacterListGenerator.java
index b7542b5..2ccb8fe 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestCharacterListGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestCharacterListGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Chars;
 import java.util.List;
 
@@ -26,7 +25,6 @@ import java.util.List;
  * @author Kevin Bourrillion
  * @author Louis Wasserman
  */
-@GwtCompatible
 public abstract class TestCharacterListGenerator implements TestListGenerator<Character> {
   @Override
   public SampleElements<Character> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestCollectionGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestCollectionGenerator.java
index f1df8c9..c91b30f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestCollectionGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestCollectionGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 
 /**
@@ -24,5 +23,4 @@ import java.util.Collection;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public interface TestCollectionGenerator<E> extends TestContainerGenerator<Collection<E>, E> {}
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestCollidingSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestCollidingSetGenerator.java
index 6aa0c33..8f46c09 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestCollidingSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestCollidingSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Colliders;
 import java.util.List;
 
@@ -25,7 +24,6 @@ import java.util.List;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public abstract class TestCollidingSetGenerator implements TestSetGenerator<Object> {
   @Override
   public SampleElements<Object> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestContainerGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestContainerGenerator.java
index d08cf90..c3a7e13 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestContainerGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestContainerGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import java.util.List;
 import java.util.Map;
@@ -28,7 +27,6 @@ import java.util.Map;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface TestContainerGenerator<T, E> {
   /** Returns the sample elements that this generate populates its container with. */
   SampleElements<E> samples();
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestEnumMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestEnumMapGenerator.java
index c117fcd..5bd0588 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestEnumMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestEnumMapGenerator.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static com.google.common.collect.testing.Helpers.orderEntriesByKey;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.List;
 import java.util.Map;
 import java.util.Map.Entry;
@@ -28,7 +27,6 @@ import java.util.Map.Entry;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public abstract class TestEnumMapGenerator implements TestMapGenerator<AnEnum, String> {
 
   @Override
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestEnumSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestEnumSetGenerator.java
index 88391ef..889a086 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestEnumSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestEnumSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Enums;
 import java.util.Collections;
 import java.util.List;
@@ -27,7 +26,6 @@ import java.util.Set;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public abstract class TestEnumSetGenerator implements TestSetGenerator<AnEnum> {
   @Override
   public SampleElements<AnEnum> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestIntegerSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestIntegerSetGenerator.java
index 9cd9ecb..65643f6 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestIntegerSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestIntegerSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Ints;
 import java.util.List;
 import java.util.Set;
@@ -26,7 +25,6 @@ import java.util.Set;
  *
  * @author Gregory Kick
  */
-@GwtCompatible
 public abstract class TestIntegerSetGenerator implements TestSetGenerator<Integer> {
   @Override
   public SampleElements<Integer> samples() {
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestIntegerSortedSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestIntegerSortedSetGenerator.java
index babac37..b9d664a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestIntegerSortedSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestIntegerSortedSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.List;
 import java.util.SortedSet;
@@ -27,7 +26,6 @@ import java.util.SortedSet;
  * @author Chris Povirk
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class TestIntegerSortedSetGenerator extends TestIntegerSetGenerator {
   @Override
   protected abstract SortedSet<Integer> create(Integer[] elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestIteratorGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestIteratorGenerator.java
index 8e06bbe..1f05c5a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestIteratorGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestIteratorGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Iterator;
 
 /**
@@ -25,7 +24,6 @@ import java.util.Iterator;
  * @param <E> the element type of the iterator.
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface TestIteratorGenerator<E> {
   Iterator<E> get();
 }
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestListGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestListGenerator.java
index 99f95d0..53d74e3 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestListGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestListGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.List;
 
 /**
@@ -24,7 +23,6 @@ import java.util.List;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public interface TestListGenerator<E> extends TestCollectionGenerator<E> {
   @Override
   List<E> create(Object... elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestMapEntrySetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestMapEntrySetGenerator.java
index 0c298cc..841130b 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestMapEntrySetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestMapEntrySetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.List;
 import java.util.Map;
 import java.util.Map.Entry;
@@ -27,7 +26,6 @@ import java.util.Set;
  *
  * @author Jesse Wilson
  */
-@GwtCompatible
 public abstract class TestMapEntrySetGenerator<K, V> implements TestSetGenerator<Map.Entry<K, V>> {
   private final SampleElements<K> keys;
   private final SampleElements<V> values;
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestMapGenerator.java
index 2267a04..5ffc4dd 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestMapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Map;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Map;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface TestMapGenerator<K, V> extends TestContainerGenerator<Map<K, V>, Map.Entry<K, V>> {
   K[] createKeyArray(int length);
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestQueueGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestQueueGenerator.java
index 939b485..d5f6c4c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestQueueGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestQueueGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Queue;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Queue;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public interface TestQueueGenerator<E> extends TestCollectionGenerator<E> {
   @Override
   Queue<E> create(Object... elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestSetGenerator.java
index 680ff44..12ab4d9 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Set;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Set;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public interface TestSetGenerator<E> extends TestCollectionGenerator<E> {
   @Override
   Set<E> create(Object... elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestSortedMapGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestSortedMapGenerator.java
index 5d90218..ab7515c 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestSortedMapGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestSortedMapGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Map.Entry;
 import java.util.SortedMap;
 
@@ -25,7 +24,6 @@ import java.util.SortedMap;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public interface TestSortedMapGenerator<K, V> extends TestMapGenerator<K, V> {
   @Override
   SortedMap<K, V> create(Object... elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestSortedSetGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestSortedSetGenerator.java
index 8f7ee5c..19c622b 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestSortedSetGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestSortedSetGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.SortedSet;
 
 /**
@@ -24,7 +23,6 @@ import java.util.SortedSet;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public interface TestSortedSetGenerator<E> extends TestSetGenerator<E> {
   @Override
   SortedSet<E> create(Object... elements);
diff --git a/guava-testlib/src/com/google/common/collect/testing/TestStringCollectionGenerator.java b/guava-testlib/src/com/google/common/collect/testing/TestStringCollectionGenerator.java
index f9c58cd..f4e7d4f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/TestStringCollectionGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/TestStringCollectionGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.SampleElements.Strings;
 import java.util.Collection;
 import java.util.List;
@@ -26,7 +25,6 @@ import java.util.List;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class TestStringCollectionGenerator implements TestCollectionGenerator<String> {
   @Override
   public SampleElements<String> samples() {
